Discovery - List Tables
This API supports pagination.
Returns a list of tables within a specified namespace scope from the source catalog. This API is used to browse tables when configuring partial mirroring with table-level selection.
Permissions
The caller must have a viewer workspace role.
Required Delegated Scopes
Workspace.Read.All or Workspace.ReadWrite.All or CatalogMirroring.Read.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/catalogmirroring/tables?connectionId={connectionId}
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/catalogmirroring/tables?scope={scope}&connectionId={connectionId}&continuationToken={continuationToken}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
|
connection
|
query | True |
string (uuid) |
The connection ID to the catalog. |
|
continuation
|
query |
string |
A token for retrieving the next page of results. |
|
|
scope
|
query |
string[] |
Required. Selectable namespace scope segments as repeated query parameters (e.g., |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
List Tables example
Sample request
GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/catalogmirroring/tables?scope=Accounting&scope=US&connectionId=4eb6b767-e786-45ed-b7cf-d25023e52222
Sample response
{
"value": [
{
"fullyQualifiedScope": [
"Accounting",
"US",
"Taxes"
],
"name": "TaxInfo"
},
{
"fullyQualifiedScope": [
"Accounting",
"US",
"Taxes"
],
"name": "AnotherTable"
},
{
"fullyQualifiedScope": [
"Accounting",
"US",
"Receivable"
],
"name": "AccountRecords"
},
{
"fullyQualifiedScope": [
"Accounting",
"US",
"Receivable"
],
"name": "Invoices"
}
],
"continuationToken": null,
"continuationUri": null
}
Definitions
| Name | Description |
|---|---|
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Table |
Information about a table in the source catalog. |
|
Tables |
A list of tables from the source catalog. |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
TableInfo
Information about a table in the source catalog.
| Name | Type | Description |
|---|---|---|
| fullyQualifiedScope |
string[] |
The complete namespace hierarchy from scope to the leaf schema containing the table. Use this value in |
| name |
string |
The table name. Use this value in |
TablesResponse
A list of tables from the source catalog.
| Name | Type | Description |
|---|---|---|
| continuationToken |
string |
The token for the next result set batch. If there are no more records, it's removed from the response. |
| continuationUri |
string |
The URI of the next result set batch. If there are no more records, it's removed from the response. |
| value |
A list of tables within the namespace scope. |